function CstSolid(fid,CProces,CComponent,CName_a,CName_b)
global mws solid;
%--------------------------------------------------------------------------
%       Datum vytvoreni: 27.10.2008
%       Autor: Petr Moravec
%--------------------------------------------------------------------------
%       Pouziti funkce:
%       Funkce slouzi k operacim jenz jsou potreba pri vytvareni ruznych
%       tvaru. Pouzivane funkce jsou pridat, vlozit,

%Solid.Subtract "component1:solid2", "component1:solid3"
    
% Operace s 3d objektem
fprintf(fid, '%% Operace s 3d objektem\n');
fprintf(fid, 'solid = mws.invoke(''Solid'');\n');
fprintf(fid, ['solid.invoke(''',CProces,''',''',CComponent,':',CName_a,''',''',CComponent,':',CName_b,''');\n\n']);

% Prima operace s 3d objektem v Programu CST
solid = mws.invoke('Solid');
solid.invoke(CProces,[CComponent,':',CName_a],[CComponent,':',CName_b]);
end